%define aurox_ver 9.3
%define rel 1


%define version	0.8.0
%define prefix	/usr

Name: scigraphica
Summary: Scientific application for data analysis and technical graphics
Version: %version
Release: %{aurox_ver}.aur.%{rel}
Copyright: GPL
Group: Applications/Education
Source: ftp://magnet.fsu.edu/~feiguin/scigraphica/src/%{name}-%{version}.tar.gz
Source1: scigraphica
Patch0: scigraphica-0.8.0_patch0.diff
Patch1: scigraphica-0.8.0_menu.diff
BuildRoot: /var/tmp/sg-%{PACKAGE_VERSION}-root
Requires: glib, gtk+, gtk+extra >= 0.99.17, scigraphica-pygtk, python, python-numeric, ScientificPython
# scigraphica specific requirements:
BuildRequires: gtk+extra-devel >= 0.99.17, python-numeric, ScientificPython
# gnome 1 environment:
BuildRequires: libxml-devel, imlib-devel >= 1.9.7, gnome-libs-devel, ORBit-devel, gnome-print-devel

%description
SciGraphica is a scientific application for data analysis and technical
graphics. It fully supplies plotting features for 2D, 3D and polar charts.
The aim is to obtain a fully-featured, cross-platform, user-friendly,
self-growing scientific application. It is free and open-source, released
under the GPL license.

%prep
%setup -n %{name}-%{version}
%patch0 -p2 -b .rpm
%patch1 -p0 -b .aurox

%build
%ifarch alpha
MYARCH_FLAGS="--host=alpha-linux"
%endif
if [ ! -f configure ]; then
  ./autogen.sh
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} $MYARCH_FLAGS
else
  CFLAGS="$RPM_OPT_FLAGS" ./configure --prefix=%{prefix} $MYARCH_FLAGS
fi

make

%install
rm -rf $RPM_BUILD_ROOT
make prefix=$RPM_BUILD_ROOT%{prefix} install
mkdir -p $RPM_BUILD_ROOT%{prefix}/lib/scigraphica
mv $RPM_BUILD_ROOT%{prefix}/bin/scigraphica $RPM_BUILD_ROOT%{prefix}/lib/scigraphica/scigraphica-bin
install %{SOURCE1} $RPM_BUILD_ROOT%{prefix}/bin/scigraphica

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
desktop-file-install --vendor aurox --delete-original       \
  --dir $RPM_BUILD_ROOT%{_datadir}/applications             \
  --add-category "Application;Education;X-Aurox-Base"     \
  $RPM_BUILD_ROOT%{_datadir}/gnome/apps/Applications/sg.desktop

%clean
rm -rf $RPM_BUILD_ROOT

%files

%doc AUTHORS COPYING ChangeLog NEWS README TODO

%_bindir/*
%_datadir/*
%_libdir/scigraphica/*

%changelog
* Wed Jan 28 2004 Aurox Team <aurox@aurox.org> 0:0.8.0-9.3.aur.1
- fix buildrequires (gnome-print-devel)
- add more build requirements (gnome environment, gimp-print)
- import to svn

* Tue Apr 15 2003 Robert Glowczynski <robertg@software.com.pl> 0.8.0-5aur
- rebuild for Aurox 9
